# Beispieldateien
Hier liegen die Beispieldateien des Docker für Dummies Buchs von Dr. Benjamin Kettner und Frank Geisler.

## Linkverzeichnis
- **Kapitel 1**
    - [Definition Docker](https://de.wikipedia.org/wiki/Docker_(Software))
    - [Docker Hub](https://hub.docker.com)
    - [Virtual Box](https://www.virtualbox.org/)
    - [Hyper-V](https://docs.microsoft.com/de-de/virtualization/hyper-v-on-windows/about/)
    - [VMWare Workstation Player](https://www.vmware.com/de/products/workstation-player.html)
    - [VMWare Workstation](https://www.vmware.com/de/products/workstation-pro.html)
    - [Parallels Desktop](https://www.parallels.com/de/)
    - [Moby Dock](https://blog.docker.com/2013/10/call-me-moby-dock/)
    - [Twitter Account von Gordon The Turtle](https://twitter.com/gordontheturtle)

- **Kapitel 2**
    - [Docker Website](https://www.docker.com)
    - [Docker Toolbox](https://docs.docker.com/toolbox/toolbox_install_windows/)
    - [Aufbau einer Azure-Testumgebung für Docker](http://go.gdsbi.de/azure_docker)
    - [Chocolatey](https://chocolatey.org/)
    - [Microsoft Hardware-Assisted Virtualization Detection Tool](https://www.microsoft.com/en-us/download/details.aspx?id=592)
    - [Speccy](https://www.ccleaner.com/speccy)
    - [Windocks](https://www.windocks.com/)

- **Kapitel 3**
    - [Docker Website](https://www.docker.com) 
    - [Docker Toolbox](https://docs.docker.com/toolbox/toolbox_install_windows/)
    - [Aktuelle Version von Virtual Box](https://www.virtualbox.org/wiki/Downloads)
    - [GitHub Desktop](https://desktop.github.com/)
    - [iTerm2](https://www.iterm2.com/)
    - [iTerm2 Features](https://www.iterm2.com/features.html)
    - [Visual Studio Code](https://code.visualstudio.com/)
    - [Visual Studio Code und Docker](https://code.visualstudio.com/docs/azure/docker)
    - [Unterschiede zwischen bash und zsh](https://kushellig.de/shell-bash-vs-zsh/)
    - [Zsh Shell](http://www.zsh.org/)
    - [Codevervollständigung in bash](http://go.gdsbi.de/bash-codevervollstaendigung)
    - [Codevervollständigung in Zsh](http://go.gdsbi.de/zsh-code-vervollstaendigung)

- **Kapitel 4**
    - [Docker für Linux](https://download.docker.com/linux/static/stable)

- **Kapitel 5**
    - [nginx](https://nginx.org/en/)

- **Kapitel 6**
    - [Visual Studio Code](https://code.visualstudio.com/)
    - [Docker Erweiterung zu VS Code](https://code.visualstudio.com/docs/azure/docker)
    - [Atom](https://atom.io/)
    - [Atom Docker Plugin](https://atom.io/packages/docker)
    - [GitLens](https://gitlens.amod.io/)
    - [GitHub](https://github.com/)
    - [Bitbucket](https://bitbucket.org/)
    - [Prometheus](https://prometheus.io/)
    - [Docker Images von Prometheus](https://hub.docker.com/u/prom)
    - [Portainer](https://www.portainer.io/)
    - [Docker Images von Portainer](https://hub.docker.com/r/portainer/portainer/)
    - [DC/OS](https://dcos.io)
    - [Travis CI](https://travis-ci.org/)
    - [Docker in Travis CI integrieren](https://docs.travis-ci.com/user/docker/)
    - [Jenkins](https://jenkins.io/)
    - [Docker Image von Jenkins](https://hub.docker.com/r/jenkins/jenkins/)
    - [Docker in Jenkins integrieren](https://jenkins.io/solutions/docker/)
    - [Gitlab](https://about.gitlab.com/)
    - [Docker Image von Gitlab](https://hub.docker.com/u/gitlab)

- **Kapitel 7**
    - [Docker Image von Ubuntu](https://hub.docker.com/r/library/ubuntu/tags/)
    - [Docker Hub](https://hub.docker.com/)
    - [Offizielle Docker Images](https://github.com/docker-library/official-images)
    - [Ubuntu Tags](https://registry.hub.docker.com/v2/repositories/library/ubuntu/tags/)

- **Kapitel 8**
    - [Dockerfile Dokumentation](https://docs.docker.com/v17.09/engine/reference/builder/)
    - [Whalesay Image im Dockerhub](https://hub.docker.com/r/docker/whalesay/)
    - [Fortune Programm](https://de.wikipedia.org/wiki/Fortune_(Computerprogramm))
    - [Alpine Image auf Dockerhub](https://hub.docker.com/_/alpine/)
    - [Debian Image auf Dockerhub](https://hub.docker.com/_/debian)
    - [Microsoft Nano Server Image](https://hub.docker.com/r/microsoft/nanoserver/)

- **Kapitel 9**
    - [Dokumentation von Docker Compose](https://docs.docker.com/compose/)
    - [GitHub Repository zum Buch](https://github.com/docker-fur-dummies/Beispieldateien)
    - [Dokumentation zur react Anwendung](https://github.com/facebook/create-react-app)
    
- **Kapitel 10**
    - Hier gibt es keine Links

- **Kapitel 11**
    - Hier gibt es keine Links 

- **Kapitel 12**
    - [Docker Registry](https://github.com/docker/docker-registry )
    - [Das aktuelle Projekt zur Registry](https://github.com/docker/distribution)
    - [Quay.io](https://quay.io/)
    - [Amazon Elastic Container Registry](https://aws.amazon.com/de/ecr/)
    - [Azure Container Registry](https://azure.microsoft.com/en-us/services/container-registry/.)
    - [Google Cloud Container Registry](https://cloud.google.com/container-registry/)
    - [Docker Enterprise Edition](https://www.docker.com/products/docker-enterprise#/container_management)
    - [Quai Enterprise](https://quay.io/plans/?tab=enterprise)
    - [GitLab Container Registry](https://about.gitlab.com/2016/05/23/gitlab-container-registry/)

- **Kapitel 13**
    - [Beispielapplikation](https://github.com/cwilhit/SampleASPContainerApp.git)

- **Kapitel 14**
    - [Docker Hub](https://hub.docker.com)

- **Kapitel 15**
    - Hier gibt es keine Links

- **Kapitel 16**
    - [Blogbeitrag Docker VM auf Azure bereitstellen](http://go.gdsbi.de/azure_docker)
    - [Azure Portal](https://portal.azure.com)
    - [Kostenlose Azure Test-Subscription beziehen](https://azure.microsoft.com/de-de/free/)
    - [Namenskonventionen und Azure Best Practices](https://docs.microsoft.com/de-de/azure/architecture/best-practices/naming-conventions)
    - [Container Registry SKUs in Azure](https://docs.microsoft.com/de-de/azure/container-registry/container-registry-skus)
    - [Azure Kubernetes Dokumentation](https://docs.microsoft.com/en-us/cli/azure/ext/aks-preview/aks?view=azure-cli-latest#ext-aks-preview-az-aks-create)
    - [Azure Shell instlalieren](https://docs.microsoft.com/de-de/cli/azure/install-azure-cli?view=azure-cli-latest)

- **Kapitel 17**
    - [AWS ECS Services-Übersicht](https://console.aws.amazon.com/ecs/home)
    - [AWS ECR Services-Übersicht](https://console.aws.amazon.com/ecr/home)
    - [AWS EKS Services-Übersicht](https://console.aws.amazon.com/eks/home)

- **Kapitel 18**
    - [Über die Google Cloud Build API ein Image erstellen](https://cloud.google.com/cloud-build/docs/quickstart-docker)
    - [Google Container Registry](https://cloud.google.com/container-registry/)
    - [Kubernetes Engine in der Google Cloud](https://cloud.google.com/kubernetes-engine/)
    - [Hello World Beispiel mit Kubernetes in der Google Cloud](https://cloud.google.com/kubernetes-engine/docs/tutorials/hello-node)
    - [IBM Cloud Container Registry](https://www.ibm.com/de-de/cloud/container-registry)
    - [IBM Cloud Kubernetes Service](https://www.ibm.com/de-de/cloud/container-service)
    - [Isito auf der IBM Cloud](https://www.ibm.com/cloud/info/istio)
    - [Docker Droplet in Digital Ocean aufsetzen](https://www.digitalocean.com/docs/one-clicks/docker/)
    - [Kubernetes im Digital Ocean](https://www.digitalocean.com/products/kubernetes/)
    - [Private Registry in Sloppy.io aufsetzen](https://kb.sloppy.io/features/deploy/private-registries)
    - [Informationen zum Sloppy.io Load Balancer](https://kb.sloppy.io/features/deploy/load-balancer)
    - [Domain-Verwaltung mit Sloppy.io](https://kb.sloppy.io/features/deploy/domains)
    - [Liste der Treiber für die Docker Machine](https://docs.docker.com/machine/drivers/)
    - [Grundprinzipien der Docker Machine](https://docs.docker.com/machine/overview/)
    - [Liste von Kubernetes Hosting-Anbieter](https://kubernetes.io/docs/setup/pick-right-solution/#hosted-solutions)
    
- **Kapitel 19**
    - [Play With Docker für temporäre Umgebungen zum Testen](https://labs.play-with-docker.com/)
    - [Docker Hosting bei Digital Ocean](http://www.digitalocean.com)
    - [Skripte für Docker-Umgebungen](http://get.docker.com)
    - [Swarm mit Overlay Netzwerk](http://go.gdsbi.de/docker-swarm-overlay)
    - [Routing Mesh in Swarm](http://go.gdsbi.de/swarm-routing-mesh)
    - [Informationen zu Swarm Stacks](http://go.gdsbi.de/docker-swarm-stacks)
    - [Swarm und Security](http://go.gdsbi.de/docker-swarm-security)
    - [DevOps mit Swarm](http://go.gdsbi.de/docker-swarm-devops)
    - [Updaten von Swarm Services](http://go.gdsbi.de/swarm-service-update)
    - [Healthchecks in Swarm](http://go.gdsbi.de/swarm-healthchecks)

- **Kapitel 20**
    - [Liste von Kubernetes Addons](https://kubernetes.io/docs/concepts/cluster-administration/addons/)
    - [TryK8s - kostenloser Test-Cluster](https://tryk8s.com)
    - [Play with K8s - 4 Stunden Test-Cluster](https://labs.play-with-k8s.com/)
    - [Doku zu Hyper-V Netzwerken](https://docs.microsoft.com/de-de/virtualization/hyper-v-on-windows/quick-start/connect-to-network)
    - [Minikube Repository](https://github.com/kubernetes/minikube/releases/latest)
    - [AUR Package für Minikube](https://aur.archlinux.org/packages/minikube/)
    - [RPM Package für Minikube](https://copr.fedorainfracloud.org/coprs/antonpatsev/minikube-rpm/)
    - [OpenSuse Package für Minikube](https://build.opensuse.org/package/show/Virtualization:containers/minikube)

- **Kapitel 21**
    - [wp-cli](http://wp-cli.org/de/)

- **Kapitel 22**
    - [Oracle Image](https://hub.docker.com/_/oracle-database-enterprise-edition)
    - [CouchDB Image](https://hub.docker.com/_/couchdb )
    - [MongoDB Image](https://hub.docker.com/_/mongo)
    - [influxdb Image](https://hub.docker.com/_/influxdb)
    - [Go Image](https://hub.docker.com/_/golang)
    - [Python Image](https://hub.docker.com/_/python)
    - [Ruby Image](https://hub.docker.com/_/ruby)
    - [Docker Registry Image](https://hub.docker.com/_/registry)
    - [Elasticsearch Image](https://hub.docker.com/_/elasticsearch)
    - [Drupal Image](https://hub.docker.com/_/drupal)
    - [Chrome Image](https://hub.docker.com/r/jess/chrome/)
    - [Firefox Image](https://hub.docker.com/r/kennethkl/firefox/)
    - [Gimp Image](https://hub.docker.com/r/jarfil/gimp-git/)
    - [Spotify Image](https://hub.docker.com/r/jess/spotify/)

- **Kapitel 23**
    - [MySQL Image](https://hub.docker.com/_/mysql)
    - [MariaDB Image](https://hub.docker.com/_/mariadb )
    - [PostgeSQL Image](https://hub.docker.com/_/postgres)
    
- **Kapitel 24**
    - [Adventure Works Beispieldatenbank](https://github.com/Microsoft/sql-server-samples/tree/master/samples/databases/adventure-works)
    - [Informationen zur Lizensierung des SQL Servers](http://go.gdsbi.de/sql_lizenz)

- **Kapitel 25**
    - [Docker Hub](https://hub.docker.com/)

- **Kapitel 26**
    - [Raspbian Linux](https://www.raspberrypi.org/downloads/raspbian/)
    - [Etcher zum Beschreiben von SD Karten](https://etcher.io/)
    - [PuTTY, SSh für Windows](https://www.putty.org/)

- **Kapitel 27**
    - [Sicherheit in Docker](https://docs.docker.com/engine/security/security/)

- **Kapitel 28**
    - [Jupyter Notebooks Image im Docker Hub](https://hub.docker.com/u/jupyter)
    - [Python Image im Docker Hub](https://hub.docker.com/_/python/)

- **Kapitel 29**
    - [Kubernetes Webseite](https://kubernetes.io/)
    - [GitHub Webseite](https://github.com/)
    - [Portainer Webseite](https://www.portainer.io/)
    - [Microsoft Azure Cloud Dienste](https://azure.microsoft.com)
    - [Amazon AWS Cloud Dienste](https://aws.amazon.com/)
    - [Visual Studio Code Webseite](https://code.visualstudio.com/)
    - [Logstash Webseite](https://www.elastic.co/de/products/logstash)
    - [Core OS Webseite](https://coreos.com/)
    - [Jenkins Webseite](https://jenkins.io/)
    - [Watchtower Projektseite](https://github.com/v2tec/watchtower)
    - [Cmdr Webseite](https://cmder.net/)
    - [iTerm2 Webseite](https://www.iterm2.com/)




## Errata
Auch wenn wir alles menschenmögliche getan haben um Fehler zu vermeiden und viele Personen am Entstehungsprozess des Buches beteiligt waren schleichen sich Fehler trotzdem immer mal wieder ein. An dieser Stelle finden Sie eine Liste mit Fehlern und deren Korrektur.

- **Kapitel 7**
    - Seite 120: Dort steht "1. Laden Sie zunächst den Container mit dem gewünschten Tag herunter". Richtig müsste es heißen "1. Laden Sie zunächst **das Image** mit dem gewünschten Tag herunter"
